Skip to main content
POST
/
v1
/
predict
curl --request POST \ --url https://api.footstep.ai/v1/predict \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data ' { "profile": "despondent", "area": { "type": "circle", "center": { "lat": 51.5074, "lng": -0.1278 }, "radius_m": 2000 }, "params": { "age_years": 75, "initial_bearing_deg": 180, "datetime": "2025-06-15T14:00:00Z" } } '
{
  "profile": "<string>",
  "model_version": "<string>",
  "results": [
    {
      "hex": "<string>",
      "probability": 0.5
    }
  ],
  "summary": {
    "hex_count": 123,
    "processing_time_ms": 123
  },
  "confidence": "high"
}

Authorizations

x-api-key
string
header
required

Your Footstep API key

Body

application/json
profile
string
required

Behavioural profile identifier (e.g. "despondent", "dementia_alzheimers")

Minimum string length: 1
area
object
required

Search area — circle, polygon, or buffered path

params
object
required

Response

Prediction results with per-hex probabilities

profile
string
required

The profile used for this prediction

model_version
string
required

Model version that produced the prediction

results
object[]
required

Per-hex predictions sorted by probability (highest first)

summary
object
required
confidence
enum<string>
required

Model confidence level for the search area

Available options:
high,
medium,
low